From 2a54810f4e0c1a456d906d209268559af476c937 Mon Sep 17 00:00:00 2001
From: Marina Polyakova <m.polyakova@postgrespro.ru>
Date: Mon, 18 May 2020 22:19:46 +0300
Subject: [PATCH v2] Fix the description of the field pg_class.relreplident

- Add a comma between "f = all columns" and "i = index with ...".
- Fix the description of replica identity index if the index used got dropped
  (in this case we cannot update or delete rows from the table if the action is
  published even if the table has a primary key).
---
 doc/src/sgml/catalogs.sgml | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

diff --git a/doc/src/sgml/catalogs.sgml b/doc/src/sgml/catalogs.sgml
index b1b077c97f..58a25e8e68 100644
--- a/doc/src/sgml/catalogs.sgml
+++ b/doc/src/sgml/catalogs.sgml
@@ -2141,8 +2141,10 @@ SCRAM-SHA-256$<replaceable>&lt;iteration count&gt;</replaceable>:<replaceable>&l
        Columns used to form <quote>replica identity</quote> for rows:
        <literal>d</literal> = default (primary key, if any),
        <literal>n</literal> = nothing,
-       <literal>f</literal> = all columns
-       <literal>i</literal> = index with <structfield>indisreplident</structfield> set, or default
+       <literal>f</literal> = all columns,
+       <literal>i</literal> = index with
+       <structfield>indisreplident</structfield> set (same as nothing if the
+       index used got dropped)
       </para></entry>
      </row>
 
-- 
2.17.1

